Subject: bug#39294: Can't run ./configure

From: zimoun <[email-masked]>
Date: Tue, 28 Jan 2020 13:44:07 +0100

Hi Damien,

On Tue, 28 Jan 2020 at 09:38, Damien Cassou <[email-masked]> wrote:
> zimoun <[email-masked]> writes:

> > Which Guix version do you use (command "guix describe")?
>
> $ guix describe
> guile: warning: failed to install locale
> Generation 1    Jan 27 2020 21:46:02    (current)
>   guix 4fc4e5f
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 4fc4e5fdd9da6320aa94eeec61cbb84a7dc9460e
>
> >  Against which Git commit?
>
> $ git log | head -n 1
> commit 195e1c1b080e41f5405d820a4f02fc7b20194ace

I think it works with these versions.
And the issue you have reported should come from your env variables,
which are turned off when using '--pure' (or '--container').

> I didn't miss it when I tried. I just missed it while writing the
> email. Adding the option didn't change a thing. Also, I followed the
> easy installation method with guix-install.sh to I expect I'm using
> defaults.

Ok, nice! :-)

All the best,
simon